<?xml version="1.0" encoding="UTF-8"?>
<GenRun Id="impl_1" LaunchPart="xc7z020clg400-1" LaunchTime="1671895623">
  <File Type="ROUTE-PWR" Name="PModIPs_wrapper_power_routed.rpt"/>
  <File Type="PA-TCL" Name="PModIPs_wrapper.tcl"/>
  <File Type="BITSTR-MMI" Name="PModIPs_wrapper.mmi"/>
  <File Type="OPT-METHODOLOGY-DRC" Name="PModIPs_wrapper_methodology_drc_opted.rpt"/>
  <File Type="INIT-TIMING" Name="PModIPs_wrapper_timing_summary_init.rpt"/>
  <File Type="ROUTE-PWR-SUM" Name="PModIPs_wrapper_power_summary_routed.pb"/>
  <File Type="REPORTS-TCL" Name="PModIPs_wrapper_reports.tcl"/>
  <File Type="OPT-TIMING" Name="PModIPs_wrapper_timing_summary_opted.rpt"/>
  <File Type="OPT-DCP" Name="PModIPs_wrapper_opt.dcp"/>
  <File Type="OPT-DRC" Name="PModIPs_wrapper_drc_opted.rpt"/>
  <File Type="OPT-HWDEF" Name="PModIPs_wrapper.hwdef"/>
  <File Type="PWROPT-DCP" Name="PModIPs_wrapper_pwropt.dcp"/>
  <File Type="PWROPT-DRC" Name="PModIPs_wrapper_drc_pwropted.rpt"/>
  <File Type="PWROPT-TIMING" Name="PModIPs_wrapper_timing_summary_pwropted.rpt"/>
  <File Type="PLACE-DCP" Name="PModIPs_wrapper_placed.dcp"/>
  <File Type="PLACE-IO" Name="PModIPs_wrapper_io_placed.rpt"/>
  <File Type="PLACE-CLK" Name="PModIPs_wrapper_clock_utilization_placed.rpt"/>
  <File Type="PLACE-UTIL" Name="PModIPs_wrapper_utilization_placed.rpt"/>
  <File Type="PLACE-UTIL-PB" Name="PModIPs_wrapper_utilization_placed.pb"/>
  <File Type="PLACE-CTRL" Name="PModIPs_wrapper_control_sets_placed.rpt"/>
  <File Type="PLACE-SIMILARITY" Name="PModIPs_wrapper_incremental_reuse_placed.rpt"/>
  <File Type="PLACE-PRE-SIMILARITY" Name="PModIPs_wrapper_incremental_reuse_pre_placed.rpt"/>
  <File Type="BG-BIN" Name="PModIPs_wrapper.bin"/>
  <File Type="PLACE-TIMING" Name="PModIPs_wrapper_timing_summary_placed.rpt"/>
  <File Type="POSTPLACE-PWROPT-DCP" Name="PModIPs_wrapper_postplace_pwropt.dcp"/>
  <File Type="BITSTR-MSK" Name="PModIPs_wrapper.msk"/>
  <File Type="POSTPLACE-PWROPT-TIMING" Name="PModIPs_wrapper_timing_summary_postplace_pwropted.rpt"/>
  <File Type="PHYSOPT-DCP" Name="PModIPs_wrapper_physopt.dcp"/>
  <File Type="PHYSOPT-DRC" Name="PModIPs_wrapper_drc_physopted.rpt"/>
  <File Type="BITSTR-RBT" Name="PModIPs_wrapper.rbt"/>
  <File Type="PHYSOPT-TIMING" Name="PModIPs_wrapper_timing_summary_physopted.rpt"/>
  <File Type="ROUTE-ERROR-DCP" Name="PModIPs_wrapper_routed_error.dcp"/>
  <File Type="ROUTE-DCP" Name="PModIPs_wrapper_routed.dcp"/>
  <File Type="ROUTE-BLACKBOX-DCP" Name="PModIPs_wrapper_routed_bb.dcp"/>
  <File Type="ROUTE-DRC" Name="PModIPs_wrapper_drc_routed.rpt"/>
  <File Type="ROUTE-DRC-PB" Name="PModIPs_wrapper_drc_routed.pb"/>
  <File Type="ROUTE-DRC-RPX" Name="PModIPs_wrapper_drc_routed.rpx"/>
  <File Type="ROUTE-METHODOLOGY-DRC" Name="PModIPs_wrapper_methodology_drc_routed.rpt"/>
  <File Type="ROUTE-METHODOLOGY-DRC-RPX" Name="PModIPs_wrapper_methodology_drc_routed.rpx"/>
  <File Type="ROUTE-METHODOLOGY-DRC-PB" Name="PModIPs_wrapper_methodology_drc_routed.pb"/>
  <File Type="ROUTE-PWR-RPX" Name="PModIPs_wrapper_power_routed.rpx"/>
  <File Type="ROUTE-STATUS" Name="PModIPs_wrapper_route_status.rpt"/>
  <File Type="ROUTE-STATUS-PB" Name="PModIPs_wrapper_route_status.pb"/>
  <File Type="ROUTE-TIMINGSUMMARY" Name="PModIPs_wrapper_timing_summary_routed.rpt"/>
  <File Type="ROUTE-TIMING-PB" Name="PModIPs_wrapper_timing_summary_routed.pb"/>
  <File Type="ROUTE-TIMING-RPX" Name="PModIPs_wrapper_timing_summary_routed.rpx"/>
  <File Type="ROUTE-SIMILARITY" Name="PModIPs_wrapper_incremental_reuse_routed.rpt"/>
  <File Type="ROUTE-CLK" Name="PModIPs_wrapper_clock_utilization_routed.rpt"/>
  <File Type="ROUTE-BUS-SKEW" Name="PModIPs_wrapper_bus_skew_routed.rpt"/>
  <File Type="ROUTE-BUS-SKEW-PB" Name="PModIPs_wrapper_bus_skew_routed.pb"/>
  <File Type="ROUTE-BUS-SKEW-RPX" Name="PModIPs_wrapper_bus_skew_routed.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-DCP" Name="PModIPs_wrapper_postroute_physopt.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-BLACKBOX-DCP" Name="PModIPs_wrapper_postroute_physopt_bb.dcp"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING" Name="PModIPs_wrapper_timing_summary_postroute_physopted.rpt"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-PB" Name="PModIPs_wrapper_timing_summary_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-TIMING-RPX" Name="PModIPs_wrapper_timing_summary_postroute_physopted.rpx"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW" Name="PModIPs_wrapper_bus_skew_postroute_physopted.rpt"/>
  <File Type="BG-BIT" Name="PModIPs_wrapper.bit"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-PB" Name="PModIPs_wrapper_bus_skew_postroute_physopted.pb"/>
  <File Type="POSTROUTE-PHYSOPT-BUS-SKEW-RPX" Name="PModIPs_wrapper_bus_skew_postroute_physopted.rpx"/>
  <File Type="BITSTR-NKY" Name="PModIPs_wrapper.nky"/>
  <File Type="BITSTR-BMM" Name="PModIPs_wrapper_bd.bmm"/>
  <File Type="PDI-FILE" Name="PModIPs_wrapper.pdi"/>
  <File Type="RCFI_FILE" Name="PModIPs_wrapper.rcfi"/>
  <File Type="CFI_FILE" Name="PModIPs_wrapper.cfi"/>
  <File Type="RNPI_FILE" Name="PModIPs_wrapper.rnpi"/>
  <File Type="NPI_FILE" Name="PModIPs_wrapper.npi"/>
  <File Type="RBD_FILE" Name="PModIPs_wrapper.rbd"/>
  <File Type="BITSTR-LTX" Name="debug_nets.ltx"/>
  <File Type="BITSTR-LTX" Name="PModIPs_wrapper.ltx"/>
  <File Type="BITSTR-SYSDEF" Name="PModIPs_wrapper.sysdef"/>
  <File Type="BG-BGN" Name="PModIPs_wrapper.bgn"/>
  <File Type="BG-DRC" Name="PModIPs_wrapper.drc"/>
  <File Type="RDI-RDI" Name="PModIPs_wrapper.vdi"/>
  <File Type="WBT-USG" Name="usage_statistics_webtalk.html"/>
  <File Type="ROUTE-RQS" Name="PModIPs_wrapper_routed.rqs"/>
  <File Type="POSTROUTE-PHYSOPT-RQS" Name="PModIPs_wrapper_postroute_physopted.rqs"/>
  <File Type="ROUTE-RQS-RPT" Name="route_report_qor_suggestions_0.rpt"/>
  <File Type="POSTROUTE-PHYSOPT-RQS-RPT" Name="postroute_physopt_report_qor_suggestions_0.rpt"/>
  <FileSet Name="sources" Type="DesignSrcs" RelSrcDir="$PSRCDIR/sources_1" RelGenDir="$PGENDIR/sources_1">
    <Filter Type="Srcs"/>
    <File Path="$PSRCDIR/sources_1/bd/PModIPs/PModIPs.bd">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <File Path="$PGENDIR/sources_1/bd/PModIPs/hdl/PModIPs_wrapper.v">
      <FileInfo>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
        <Attr Name="UsedIn" Val="simulation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="DesignMode" Val="RTL"/>
      <Option Name="TopModule" Val="PModIPs_wrapper"/>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <FileSet Name="constrs_in" Type="Constrs" RelSrcDir="$PSRCDIR/constrs_1">
    <Filter Type="Constrs"/>
    <File Path="$PSRCDIR/constrs_1/imports/BoardMaster/PYNQ-Z2 v1.0.xdc">
      <FileInfo>
        <Attr Name="ImportPath" Val="$PPRDIR/../BoardMaster/PYNQ-Z2 v1.0.xdc"/>
        <Attr Name="ImportTime" Val="1597890555"/>
        <Attr Name="UsedIn" Val="synthesis"/>
        <Attr Name="UsedIn" Val="implementation"/>
      </FileInfo>
    </File>
    <Config>
      <Option Name="ConstrsType" Val="XDC"/>
    </Config>
  </FileSet>
  <FileSet Name="utils" Type="Utils" RelSrcDir="$PSRCDIR/utils_1">
    <Filter Type="Utils"/>
    <Config>
      <Option Name="TopAutoSet" Val="TRUE"/>
    </Config>
  </FileSet>
  <Strategy Version="1" Minor="2">
    <StratHandle Name="Vivado Implementation Defaults" Flow="Vivado Implementation 2022">
      <Desc>Default settings for Implementation.</Desc>
    </StratHandle>
    <Step Id="init_design"/>
    <Step Id="opt_design"/>
    <Step Id="power_opt_design"/>
    <Step Id="place_design"/>
    <Step Id="post_place_power_opt_design"/>
    <Step Id="phys_opt_design"/>
    <Step Id="route_design"/>
    <Step Id="post_route_phys_opt_design"/>
    <Step Id="write_bitstream"/>
  </Strategy>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_axi_gpio_0_1"/>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_xbar_0"/>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_auto_pc_0"/>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_processing_system7_0_0"/>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_axi_gpio_0_0"/>
  <BlockFileSet Type="BlockSrcs" Name="PModIPs_rst_ps7_0_100M_0"/>
</GenRun>
